> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metadata for an Address

> Get nametags and metadata for the specified address.

<Note>This is a PRO endpoint and is available exclusively to the [Pro Plus tier](https://etherscan.io/apis).</Note>
<Warning>This endpoint is throttled to **2 calls/second** regardless of API Pro tier.</Warning>

<ResponseExample>
  ```json Response theme={null}
  {
     "status":"1",
     "message":"OK",
     "result":[
        {
           "address":"0xa9d1e08c7793af67e9d92fe308d5697fb81d3e43",
           "nametag":"Coinbase 10",
           "internal_nametag":"",
           "url":"https://coinbase.com",
           "shortdescription":"",
           "notes_1":"",
           "notes_2":"",
           "labels":[
              "Coinbase",
              "Exchange"
           ],
           "labels_slug":[
              "coinbase",
              "exchange"
           ],
           "reputation":0,
           "other_attributes":[
              
           ],
           "lastupdatedtimestamp":1721899658
        }
     ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/getaddresstag.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Metadata for an Address
  version: 2.0.0
  description: Get nametags and metadata for the specified address.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Metadata for an Address
      description: Get nametags and metadata for the specified address.
      operationId: getGetaddresstag
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to nametag for this endpoint.
          schema:
            type: string
            default: nametag
          example: nametag
        - name: action
          in: query
          required: true
          description: Set to getaddresstag for this endpoint.
          schema:
            type: string
            default: getaddresstag
          example: getaddresstag
        - name: address
          in: query
          required: true
          description: >-
            The address to query, like
            0x0000db5C8B030AE20308AC975898E09741E70000, up to a maximum of 100
            addresses per call.
          schema:
            type: string
          example: '0x0000db5C8B030AE20308AC975898E09741E70000'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````